import 'package:flutter/material.dart';
import 'package:flutter_sdk_digitalpaye/utils/hexcolor.dart';

class AppColors {
  static HexColor primaryColor = HexColor("2585b9");
  static HexColor lightViolet = HexColor("532b82");
  static HexColor green = HexColor("519072");
  static HexColor orange = HexColor("F7B32B");
  static HexColor greenApp = HexColor("51d28e");
  static HexColor red = HexColor("F7483B");
  static HexColor darkPurple = HexColor("2D1E2F");

  static HexColor colorMoovDegrade = HexColor("facaaa");

  static HexColor colorOrangeDegrade = HexColor("9b9b9b");

  static HexColor colorMTNDegrade = HexColor("feefb7");

  static HexColor colorDigitalpayeDegrade = HexColor("bddaeb");
  static HexColor colorPrimaryDegrade = HexColor("b3a3c5");

  static const Color snackBarSuccessBgColor = Colors.greenAccent;
  static const Color snackBarErrorBgColor = Colors.redAccent;

  static const Color disabledColor = Color(0xFFe8e8e8);
  static const Color warningdColor = Colors.orange;
  static const Color errordColor = Colors.red;

  static const Color headerDataTableBackgroundColor = Colors.white;
  static const Color footerDataTableSeparator = Colors.grey;

  // tasks colors
  static const Color taskDoneColor = Colors.green;
  static const Color taskNotCompleted = Colors.redAccent;

  // Heating
  static const Color heatingStartColor = Colors.blueAccent;
  static const Color heatingEndColor = Colors.indigo;

  // shimmer
  static final Color shimmerHighLightColor = Colors.grey.shade200;
  static final Color shimmerBaseLightColor = Colors.grey.shade300;
  static const Color shimmerLightBackGroundColor = Colors.white;

  static final Color shimmerHighDarkColor = Colors.grey.shade200;
  static final Color shimmerBaseDarkColor = Colors.grey.shade300;
  static const Color shimmerDarkBackGroundColor = Colors.white;
}

MaterialColor materialColorFrom(Color color) {
  List strengths = <double>[.05];
  Map<int, Color> swatch = <int, Color>{};
  final int r = color.red, g = color.green, b = color.blue;

  for (int i = 1; i < 10; i++) {
    strengths.add(0.1 * i);
  }
  strengths.forEach((strength) {
    final double ds = 0.5 - strength;
    swatch[(strength * 1000).round()] = Color.fromRGBO(
      r + ((ds < 0 ? r : (255 - r)) * ds).round(),
      g + ((ds < 0 ? g : (255 - g)) * ds).round(),
      b + ((ds < 0 ? b : (255 - b)) * ds).round(),
      1,
    );
  });
  return MaterialColor(color.value, swatch);
}
