library flutter_sdk_digitalpaye;

import 'package:flutter/material.dart';
import 'package:flutter_sdk_digitalpaye/core/app_color.dart';

class InitDigitalpaye extends StatefulWidget {
  final String ApiKey;
  final String ApiSecret;
  final int amount;
  final String reference;
  final String currency;
  Color? color;

  InitDigitalpaye({
    Key? key,
    required this.ApiKey,
    required this.ApiSecret,
    required this.amount,
    required this.reference,
    required this.currency,
    this.color,
  }) : super(key: key);

  @override
  _InitDigitalpayeState createState() => _InitDigitalpayeState();
}

class _InitDigitalpayeState extends State<InitDigitalpaye> {
  int _optionDigitalpaye = 0;
  int _optionOrangeMoney = 0;
  int _optionMTNMoney = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      onWillPop: () async {
        return true;
      },
      child: Scaffold(
        appBar: AppBar(
          backgroundColor: widget.color ?? AppColors.primaryColor,
          elevation: 0,
          leading: IconButton(
            icon: const Icon(
              Icons.arrow_back,
              color: Colors.white,
            ),
            //onPressed:() => Navigator.pop(context, false),
            onPressed: () {},
          ),
        ),
        backgroundColor: Colors.white,
        body: SingleChildScrollView(
          child: Container(
            padding: EdgeInsets.all(15),
            child: Column(
              children: [
                const SizedBox(
                  height: 10,
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Row(
                      children: [
                        Container(
                          margin: const EdgeInsets.only(
                              top: 0, left: 5, bottom: 0, right: 0),
                          child: ClipOval(
                            child: SizedBox(
                              height: 40,
                              width: 40,
                              child: Image.asset(
                                'assets/images/logo.png',
                                fit: BoxFit.fill,
                              ),
                            ),
                          ),
                        ),
                        const SizedBox(
                          width: 10,
                        ),
                        const Text(
                          "Monbri",
                          style: TextStyle(
                              fontSize: 20,
                              color: Colors.black,
                              fontWeight: FontWeight.bold),
                        ),
                      ],
                    ),
                    Row(
                      children: [
                        Text(
                          widget.amount.toString(),
                          style: const TextStyle(
                            fontSize: 20,
                            color: Colors.black,
                            fontWeight: FontWeight.bold,
                          ),
                        ),
                        const SizedBox(
                          width: 5,
                        ),
                        Text(
                          widget.currency.toString(),
                          style: const TextStyle(
                            fontSize: 20,
                            color: Colors.black,
                            fontWeight: FontWeight.bold,
                          ),
                        ),
                      ],
                    )
                  ],
                ),
                const SizedBox(
                  height: 20,
                ),
                const Align(
                  alignment: Alignment.topLeft,
                  child: Text(
                    "Selectionner votre pays",
                    style: TextStyle(
                      color: Colors.black,
                      fontSize: 14,
                      fontWeight: FontWeight.bold,
                      fontFamily: 'MuliLight',
                    ),
                  ),
                ),
                const SizedBox(
                  height: 7,
                ),
                Column(
                  mainAxisSize: MainAxisSize.max,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      padding: const EdgeInsetsDirectional.fromSTEB(5, 5, 5, 5),
                      height: 50,
                      decoration: BoxDecoration(
                        border: Border.all(
                          color: const Color.fromARGB(231, 231, 234, 243),
                        ),
                        borderRadius: BorderRadius.circular(8),
                      ),
                      child: Row(
                        children: [
                          Expanded(
                            flex: 7,
                            child: GestureDetector(
                              onTap: () {},
                              child: Row(
                                children: [
                                  Container(
                                    margin: const EdgeInsets.only(
                                        top: 0, left: 5, bottom: 0, right: 0),
                                    child: ClipOval(
                                      child: SizedBox(
                                        height: 20,
                                        width: 20,
                                        child: Image.asset(
                                          'assets/images/ivory_cost.png',
                                          fit: BoxFit.fill,
                                        ),
                                      ),
                                    ),
                                  ),
                                  Expanded(
                                    child: Container(
                                      margin: const EdgeInsets.only(
                                          top: 0,
                                          left: 10,
                                          bottom: 0,
                                          right: 0),
                                      child: const Text(
                                        "Cote d'Ivoire",
                                        style: TextStyle(
                                          fontSize: 14,
                                          fontFamily: 'MuliLight',
                                        ),
                                      ),
                                    ),
                                  ),
                                  Container(
                                    margin: const EdgeInsets.only(
                                        top: 0, left: 0, bottom: 0, right: 0),
                                    child: const Icon(
                                      Icons.arrow_drop_down,
                                      color: Colors.black,
                                    ),
                                  ),
                                ],
                              ),
                            ),
                          ),
                        ],
                      ),
                    )
                  ],
                ),
                const SizedBox(
                  height: 10,
                ),
                Column(
                  children: [
                    const Align(
                      alignment: Alignment.topLeft,
                      child: Text(
                        "Séléctionner votre opérateur",
                        style: TextStyle(
                          fontSize: 14,
                          fontWeight: FontWeight.bold,
                          fontFamily: 'MuliLight',
                        ),
                      ),
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        GestureDetector(
                          onTap: () {
                            setState(() {
                              _optionDigitalpaye = 1;
                              _optionMTNMoney = 0;
                              _optionOrangeMoney = 0;
                            });
                          },
                          child: Column(
                            children: [
                              Container(
                                height: 60,
                                width: 60,
                                padding: const EdgeInsetsDirectional.fromSTEB(
                                    5, 5, 5, 5),
                                decoration: BoxDecoration(
                                  color: AppColors.colorDigitalpayeDegrade,
                                  border: Border.all(
                                      color: AppColors.colorDigitalpayeDegrade),
                                  shape: BoxShape.circle,
                                ),
                                child: ClipOval(
                                  child: _optionDigitalpaye == 1
                                      ? const Image(
                                          image: AssetImage(
                                              'assets/images/digitalpaye.png'),
                                          height: 50,
                                          width: 50,
                                          fit: BoxFit.cover)
                                      : Image.asset(
                                          'assets/images/digitalpaye_gris.png',
                                          height: 50,
                                          width: 50,
                                          fit: BoxFit.cover,
                                        ),
                                ),
                              ),
                              const SizedBox(
                                height: 7,
                              ),
                              const Text(
                                "Digitalpaye",
                                textAlign: TextAlign.center,
                                style: TextStyle(
                                  fontSize: 12,
                                  fontWeight: FontWeight.bold,
                                  fontFamily: 'MuliLight',
                                ),
                              ),
                            ],
                          ),
                        ),
                        GestureDetector(
                            onTap: () {
                              setState(() {
                                _optionDigitalpaye = 0;
                                _optionMTNMoney = 0;
                                _optionOrangeMoney = 1;
                              });
                            },
                            child: Column(
                              children: [
                                Container(
                                  height: 60,
                                  width: 60,
                                  padding: const EdgeInsetsDirectional.fromSTEB(
                                      5, 5, 5, 5),
                                  decoration: BoxDecoration(
                                    color: AppColors.colorOrangeDegrade,
                                    border: Border.all(
                                        color: AppColors.colorOrangeDegrade),
                                    shape: BoxShape.circle,
                                  ),
                                  child: ClipOval(
                                    child: _optionOrangeMoney == 1
                                        ? Image.asset(
                                            'assets/images/orange.png',
                                            height: 50,
                                            width: 50,
                                            fit: BoxFit.cover,
                                          )
                                        : Image.asset(
                                            'assets/images/orange_gris.png',
                                            height: 50,
                                            width: 50,
                                            fit: BoxFit.cover,
                                          ),
                                  ),
                                ),
                                const SizedBox(
                                  height: 7,
                                ),
                                const Text(
                                  "Orange Money",
                                  textAlign: TextAlign.center,
                                  style: TextStyle(
                                    fontSize: 12,
                                    fontWeight: FontWeight.bold,
                                    fontFamily: 'MuliLight',
                                  ),
                                ),
                              ],
                            )),
                        GestureDetector(
                          onTap: () {
                            setState(() {
                              _optionDigitalpaye = 0;
                              _optionMTNMoney = 1;
                              _optionOrangeMoney = 0;
                            });
                          },
                          child: Column(
                            children: [
                              Container(
                                height: 60,
                                width: 60,
                                padding: const EdgeInsetsDirectional.fromSTEB(
                                    5, 5, 5, 5),
                                decoration: BoxDecoration(
                                  color: AppColors.colorMTNDegrade,
                                  border: Border.all(
                                      color: AppColors.colorMTNDegrade),
                                  shape: BoxShape.circle,
                                ),
                                child: ClipOval(
                                  child: _optionMTNMoney == 1
                                      ? Image.asset(
                                          'assets/images/mtn.png',
                                          height: 50,
                                          width: 50,
                                          fit: BoxFit.cover,
                                        )
                                      : Image.asset(
                                          'assets/images/mtn_gris.png',
                                          height: 50,
                                          width: 50,
                                          fit: BoxFit.cover,
                                        ),
                                ),
                              ),
                              const SizedBox(
                                height: 7,
                              ),
                              const Text(
                                "MTN Money",
                                textAlign: TextAlign.center,
                                style: TextStyle(
                                  fontSize: 12,
                                  fontWeight: FontWeight.bold,
                                  fontFamily: 'MuliLight',
                                ),
                              ),
                            ],
                          ),
                        ),
                      ],
                    ),
                    const SizedBox(
                      height: 20,
                    ),
                  ],
                ),
                Column(
                  children: [
                    const Align(
                      alignment: Alignment.topLeft,
                      child: Text(
                        'Numéro de téléphone',
                        textAlign: TextAlign.left,
                        style: TextStyle(
                          fontSize: 14,
                          color: Color.fromRGBO(30, 32, 34, 34),
                          fontWeight: FontWeight.bold,
                          fontFamily: 'MuliLight',
                        ),
                      ),
                    ),
                    Column(
                      mainAxisSize: MainAxisSize.max,
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        const SizedBox(
                          height: 10,
                        ),
                        Container(
                          padding:
                              const EdgeInsetsDirectional.fromSTEB(5, 5, 5, 5),
                          height: 50,
                          decoration: BoxDecoration(
                            border: Border.all(
                              color: const Color.fromARGB(231, 231, 234, 243),
                            ),
                            borderRadius: BorderRadius.circular(8),
                          ),
                          child: Row(
                            children: [
                              Expanded(
                                flex: 7,
                                child: GestureDetector(
                                  onTap: () {},
                                  child: Row(
                                    children: [
                                      Container(
                                        margin: const EdgeInsets.only(
                                            top: 0,
                                            left: 5,
                                            bottom: 0,
                                            right: 0),
                                        child: ClipOval(
                                          child: SizedBox(
                                            height: 20,
                                            width: 20,
                                            child: Image.asset(
                                              'assets/images/ivory_cost.png',
                                              fit: BoxFit.fill,
                                            ),
                                          ),
                                        ),
                                      ),
                                      Expanded(
                                        child: Container(
                                          margin: const EdgeInsets.only(
                                              top: 0,
                                              left: 10,
                                              bottom: 0,
                                              right: 0),
                                          child: const Text(
                                            "+225",
                                            style: TextStyle(fontSize: 14),
                                          ),
                                        ),
                                      ),
                                      Container(
                                        margin: const EdgeInsets.only(
                                            top: 0,
                                            left: 0,
                                            bottom: 0,
                                            right: 0),
                                        child: const Icon(
                                          Icons.arrow_drop_down,
                                          color: Colors.black,
                                        ),
                                      ),
                                    ],
                                  ),
                                ),
                              ),
                              Expanded(
                                  flex: 16,
                                  child: Container(
                                    margin: const EdgeInsets.only(
                                        top: 0, left: 10, bottom: 0, right: 0),
                                    child: const TextField(
                                      style: TextStyle(fontSize: 14),
                                      decoration: InputDecoration(
                                        border: InputBorder.none,
                                        hintText: 'Numéro de téléphone',
                                        enabledBorder: InputBorder.none,
                                        focusedBorder: InputBorder.none,
                                        contentPadding: EdgeInsets.symmetric(
                                            vertical: 13.0),
                                      ),
                                      keyboardType: TextInputType.phone,
                                    ),
                                  ))
                            ],
                          ),
                        )
                      ],
                    ),
                  ],
                ),
                const SizedBox(
                  height: 10,
                ),
                _optionOrangeMoney == 1
                    ? Column(
                        children: [
                          const Align(
                            alignment: Alignment.topLeft,
                            child: Text(
                              'Votre code OTP',
                              textAlign: TextAlign.left,
                              style: TextStyle(
                                fontSize: 14,
                                color: Color.fromRGBO(30, 32, 34, 34),
                                fontWeight: FontWeight.bold,
                                fontFamily: 'MuliLight',
                              ),
                            ),
                          ),
                          Column(
                            mainAxisSize: MainAxisSize.max,
                            mainAxisAlignment: MainAxisAlignment.spaceBetween,
                            children: [
                              const SizedBox(
                                height: 10,
                              ),
                              Container(
                                padding: const EdgeInsetsDirectional.fromSTEB(
                                    5, 5, 5, 5),
                                height: 50,
                                decoration: BoxDecoration(
                                  border: Border.all(
                                    color: const Color.fromARGB(
                                        231, 231, 234, 243),
                                  ),
                                  borderRadius: BorderRadius.circular(8),
                                ),
                                child: Container(
                                  margin: const EdgeInsets.only(
                                      top: 0, left: 10, bottom: 0, right: 0),
                                  child: const TextField(
                                    style: TextStyle(fontSize: 14),
                                    decoration: InputDecoration(
                                      border: InputBorder.none,
                                      hintText: 'Numéro de téléphone',
                                      enabledBorder: InputBorder.none,
                                      focusedBorder: InputBorder.none,
                                      contentPadding:
                                          EdgeInsets.symmetric(vertical: 13.0),
                                    ),
                                    keyboardType: TextInputType.phone,
                                  ),
                                ),
                              ),
                            ],
                          ),
                          const SizedBox(
                            height: 20,
                          ),
                          Column(
                            children: [
                              Container(
                                width: double.infinity,
                                padding: EdgeInsets.all(10),
                                decoration: BoxDecoration(
                                  color: AppColors.red,
                                  border: Border.all(
                                    color: AppColors.red,
                                  ),
                                  borderRadius: BorderRadius.circular(8),
                                ),
                                child: const Text(
                                    "Composer #144*82# pour obtenir votre code OTP.\nNe communiquez pas ce code a personne."),
                              )
                            ],
                          )
                        ],
                      )
                    : Container(),
                const SizedBox(
                  height: 20,
                ),
                SizedBox(
                  child: FlatButton(
                    height: 50,
                    minWidth: double.infinity,
                    child: Text(
                      'Se connecter',
                      style: TextStyle(
                        color: Colors.white,
                        fontSize: 12,
                        fontWeight: FontWeight.bold,
                      ),
                    ),
                    onPressed: () {},
                    color: AppColors.primaryColor,
                    textColor: Colors.white,
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(6),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
